Bug 50268 - Adds static and dynamic destinations to JMS Publisher
Adds static and dynamic destinations to JMS Publisher
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
All Linux
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-11-14 15:31 UTC by Jason Butler
Modified: 2010-11-17 14:46 UTC (History)
0 users



Attachments
patch file (10.79 KB, patch)
2010-11-14 15:31 UTC, Jason Butler
Details | Diff
Screenshot (63.18 KB, image/png)
2010-11-16 14:20 UTC, Milamber
Details
New screenshot (51.35 KB, image/png)
2010-11-17 13:13 UTC, Milamber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Butler 2010-11-14 15:31:13 UTC
Created attachment 26295 [details]
patch file

This patch provides the ability for JMSProducer to change destinations while the test runs so that it works with variables and foreach controllers. The option to use the current behavior is still preserved.

Adds a check box for static destinations to the JMSProducer sampler gui. If "Use static destination" is not checked then the destination the producer sends to will update each time the thread group loops. This way the producer can send to a different destination each time. If "Use static destination" is checked then the destination will be fixed the first time the thread group loops which is the current behavior.
Comment 1 Milamber 2010-11-14 18:25:33 UTC
Thanks for your patch. I works too on a JMS patch for dynamic/static publisher and subscriber. Your approach is different and seems better vs my (futur) patch. I will try to test and verify your patch the next week.

Milamber
Comment 2 Sebb 2010-11-16 05:26:31 UTC
Looks OK to me as well.

One minor tweak to the patch - when getting/setting the property USE_STATIC_DEST, the default needs to be "true". Otherwise existing plans will be treated as dynamic, and saved "static" plans will have an unnecessary property.

Note to self: need to update component_reference.xml as well.
Comment 3 Sebb 2010-11-16 05:30:12 UTC
Forgot to add - no need to resubmit the patch - we can easily add the extra "default" parameter to the get/set Property method calls.
Comment 4 Milamber 2010-11-16 14:19:13 UTC
OK for comments, sebb.
Currently I works on this patch. I will change some GUI (came from my patch) for put the option in bottom (see screenshot) (comments on labels/type are welcome)
Comment 5 Milamber 2010-11-16 14:20:21 UTC
Created attachment 26302 [details]
Screenshot
Comment 6 Sebb 2010-11-16 14:42:23 UTC
Sorry, but I don't like the position of the radio buttons so far from the Destination field.

The dest field does not need to be the full width of the screen, so the selection field should fit on the same line.

As to the actual text - if it is on the same line, it could be simplified somewhat; perhaps to:

Destination |              | Setup: o At startup o Each sample
Comment 7 Milamber 2010-11-17 13:13:37 UTC
Created attachment 26306 [details]
New screenshot

Thanks for your comments.
In this screnshot, I have doing your suggestion
Comment 8 Sebb 2010-11-17 14:10:29 UTC
Thanks!
Looks good.
Comment 9 Milamber 2010-11-17 14:46:11 UTC
Done. I have tried to preserve API on Publisher.java

URL: http://svn.apache.org/viewvc?rev=1036177&view=rev
Log:
Bug 50268 - Adds static and dynamic destinations to JMS Publisher

Modified:
    jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/client/Publisher.java
    jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/control/gui/JMSPublisherGui.java
    jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/BaseJMSSampler.java
    jakarta/jmeter/trunk/src/protocol/jms/org/apache/jmeter/protocol/jms/sampler/PublisherSampler.java
    jakarta/jmeter/trunk/xdocs/changes.xml
    jakarta/jmeter/trunk/xdocs/images/screenshots/jmspublisher.png
    jakarta/jmeter/trunk/xdocs/usermanual/component_reference.xml